CPCLEAN(1)

NAME
cpclean - Remove wrong control points by statistical methods

SYNOPSIS
cpclean [options] input.pto

DESCRIPTION
cpclean uses statistical methods to remove wrong control points.

Step 1 optimises all images pairs, calculates for each pair mean and standard deviation and removes all control points with error bigger than mean+n*sigma.

Step 2 optimises the whole panorama, calculates mean and standard deviation for all control points and removes all control points with error bigger than mean+n*sigma.

OPTIONS

-o output.pto
    Output Hugin PTO file. Default: '<filename>_clean.pto'.

-n num
    distance factor for checking (default: 2)

-p  do only pairwise optimisation (skip step 2)

-w  do optimise whole panorama (skip step 1)

-s  skip optimisation step when optimising the whole panorama

-l  also include line control points for calculation and filtering in step 2

-h  shows help

AUTHORS
Thomas Modes